Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class DTDConfiguration

    java.lang.Object
      weblogic.apache.xerces.util.ParserConfigurationSettings
          weblogic.apache.xerces.parsers.BasicParserConfiguration
              weblogic.apache.xerces.parsers.DTDConfiguration

All Implemented Interfaces:
  XMLComponentManager, XMLParserConfiguration, XMLPullParserConfiguration

Direct Known Subclasses:
  StandardParserConfiguration

Deprecated. please use JDK supplied XML parsers and transformers

    public class DTDConfiguration

extends BasicParserConfiguration
implements XMLPullParserConfiguration

This is the DTD-only parser configuration. It extends the basic configuration with a standard set of parser components appropriate to DTD-centric validation. Since the Xerces2 reference implementation document and DTD scanner implementations are capable of acting as pull parsers, this configuration implements the `XMLPullParserConfiguration` interface.

In addition to the features and properties recognized by the base parser configuration, this class recognizes these additional features and properties:

- Features
  - http://apache.org/xml/features/validation/warn-on-duplicate-attdef
  - http://apache.org/xml/features/validation/warn-on-undeclared-elemdef
  - http://apache.org/xml/features/allow-java-encodings
  - http://apache.org/xml/features/continue-after-fatal-error
  - http://apache.org/xml/features/load-external-dtd
- Properties
  - http://apache.org/xml/properties/internal/error-reporter
  - http://apache.org/xml/properties/internal/entity-manager
  - http://apache.org/xml/properties/internal/document-scanner
  - http://apache.org/xml/properties/internal/dtd-scanner
  - http://apache.org/xml/properties/internal/grammar-pool
  - http://apache.org/xml/properties/internal/validator/dtd
  - http://apache.org/xml/properties/internal/datatype-validator-factory

Field Summary
`protected static String` | `ALLOW_JAVA_ENCODINGS` Deprecated. Feature identifier: allow Java encodings.
`protected static String` | `CONTINUE_AFTER_FATAL_ERROR` Deprecated. Feature identifier: continue after fatal error.
`protected static String` | `DATATYPE_VALIDATOR_FACTORY` Deprecated. Property identifier: datatype validator factory.
`protected static String` | `DOCUMENT_SCANNER` Deprecated. Property identifier document scanner:
`protected static String` | `DTD_PROCESSOR` Deprecated. Property identifier: DTD loader.
`protected static String` | `DTD_SCANNER` Deprecated. Property identifier: DTD scanner.
`protected static String` | `DTD_VALIDATOR` Deprecated. Property identifier: DTD validator.
`protected static String` | `ENTITY_MANAGER` Deprecated. Property identifier: entity manager.
`protected static String` | `ERROR_REPORTER` Deprecated. Property identifier: error reporter.
`protected DTDDVFactory` | `fDatatypeValidatorFactory` Deprecated. Datatype validator factory.
`protected XMLDTDProcessor` | `fDTDProcessor` Deprecated. DTD Processor .
`protected XMLDTDScanner` | `fDTDScanner` Deprecated. DTD scanner.
`protected XMLDTDValidator` | `fDTDValidator` Deprecated. DTD Validator.
`protected XMLEntityManager` | `fEntityManager` Deprecated. Entity manager.
`protected XMLErrorReporter` | `fErrorReporter` Deprecated. Error reporter.
`protected XMLGrammarPool` | `fGrammarPool` Deprecated. Grammar pool.
`protected XMLInputSource` | `fInputSource` Deprecated. Input Source
`protected XMLLocator` | `fLocator` Deprecated. Locator
`protected XMLNamespaceBinder` | `fNamespaceBinder` Deprecated. Namespace binder.
`protected boolean` | `fParseInProgress` Deprecated. True if a parse is in progress.
`protected XMLDocumentScanner` | `fScanner` Deprecated. Document scanner.
`protected ValidationManager` | `fValidationManager` Deprecated.
`protected static String` | `LOAD_EXTERNAL_DTD` Deprecated. Feature identifier: load external DTD.
`protected static String` | `NAMESPACE_BINDER` Deprecated. Property identifier: namespace binder.
`protected static String` | `NOTIFY_BUILTIN_REFS` Deprecated. Feature identifier: notify built-in refereces.
`protected static String` | `NOTIFY_CHAR_REFS` Deprecated. Feature identifier: notify character refereces.
`protected static String` | `VALIDATION_MANAGER` Deprecated.
`protected static String` | `WARN_ON_DUPLICATE_ATTDEF` Deprecated. Feature identifier: warn on duplicate attribute definition.
`protected static String` | `WARN_ON_DUPLICATE_ENTITYDEF` Deprecated. Feature identifier: warn on duplicate entity definition.
`protected static String` | `WARN_ON_UNDECLARED_ELEMDEF` Deprecated. Feature identifier: warn on undeclared element definition.
`protected static String` | `XMLGRAMMAR_POOL` Deprecated. Property identifier: grammar pool.

Fields inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

Fields inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties`

Constructor Summary
`DTDConfiguration()` Deprecated. Default constructor.
`DTDConfiguration(SymbolTable symbolTable)` Deprecated. Constructs a parser configuration using the specified symbol table.
`DTDConfiguration(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a parser configuration using the specified symbol table and grammar pool.
`DTDConfiguration(SymbolTable symbolTable, XMLGrammarPool grammarPool, XMLComponentManager parentSettings)` Deprecated. Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected void` | `checkFeature(String featureId)` Deprecated. Check a feature.
`protected void` | `checkProperty(String propertyId)` Deprecated. Check a property.
`void` | `cleanup()` Deprecated. If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing.
`protected void` | `configurePipeline()` Deprecated. Configures the pipeline.
`protected DTDDVFactory` | `createDatatypeValidatorFactory()` Deprecated. Create a datatype validator factory.
`protected XMLDocumentScanner` | `createDocumentScanner()` Deprecated. Create a document scanner.
`protected XMLDTDProcessor` | `createDTDProcessor()` Deprecated. Create a DTD loader .
`protected XMLDTDScanner` | `createDTDScanner()` Deprecated. Create a DTD scanner.
`protected XMLDTDValidator` | `createDTDValidator()` Deprecated. Create a DTD validator.
`protected XMLEntityManager` | `createEntityManager()` Deprecated. Creates an entity manager.
`protected XMLErrorReporter` | `createErrorReporter()` Deprecated. Creates an error reporter.
`protected XMLNamespaceBinder` | `createNamespaceBinder()` Deprecated. Create a namespace binder.
`protected ValidationManager` | `createValidationManager()` Deprecated.
`boolean` | `parse(boolean complete)` Deprecated. Parses the document in a pull parsing fashion.
`void` | `parse(XMLInputSource source)` Deprecated. Parses the specified input source.
`protected void` | `reset()` Deprecated. Reset all components before parsing.
`void` | `setInputSource(XMLInputSource inputSource)` Deprecated. Sets the input source for the document to parse.
`void` | `setLocale(Locale locale)` Deprecated. Set the locale to use for messages.

Methods inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Methods inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, getFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Field Detail

### WARN_ON_DUPLICATE_ATTDEF

    protected static final String WARN_ON_DUPLICATE_ATTDEF

  Deprecated.
  Feature identifier: warn on duplicate attribute definition.

  See Also:
    Constant Field Values

### WARN_ON_DUPLICATE_ENTITYDEF

    protected static final String WARN_ON_DUPLICATE_ENTITYDEF

  Deprecated.
  Feature identifier: warn on duplicate entity definition.

  See Also:
    Constant Field Values

### WARN_ON_UNDECLARED_ELEMDEF

    protected static final String WARN_ON_UNDECLARED_ELEMDEF

  Deprecated.
  Feature identifier: warn on undeclared element definition.

  See Also:
    Constant Field Values

### ALLOW_JAVA_ENCODINGS

    protected static final String ALLOW_JAVA_ENCODINGS

  Deprecated.
  Feature identifier: allow Java encodings.

  See Also:
    Constant Field Values

### CONTINUE_AFTER_FATAL_ERROR

    protected static final String CONTINUE_AFTER_FATAL_ERROR

  Deprecated.
  Feature identifier: continue after fatal error.

  See Also:
    Constant Field Values

### LOAD_EXTERNAL_DTD

    protected static final String LOAD_EXTERNAL_DTD

  Deprecated.
  Feature identifier: load external DTD.

  See Also:
    Constant Field Values

### NOTIFY_BUILTIN_REFS

    protected static final String NOTIFY_BUILTIN_REFS

  Deprecated.
  Feature identifier: notify built-in refereces.

  See Also:
    Constant Field Values

### NOTIFY_CHAR_REFS

    protected static final String NOTIFY_CHAR_REFS

  Deprecated.
  Feature identifier: notify character refereces.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    protected static final String ERROR_REPORTER

  Deprecated.
  Property identifier: error reporter.

  See Also:
    Constant Field Values

### ENTITY_MANAGER

    protected static final String ENTITY_MANAGER

  Deprecated.
  Property identifier: entity manager.

  See Also:
    Constant Field Values

### DOCUMENT_SCANNER

    protected static final String DOCUMENT_SCANNER

  Deprecated.
  Property identifier document scanner:

  See Also:
    Constant Field Values

### DTD_SCANNER

    protected static final String DTD_SCANNER

  Deprecated.
  Property identifier: DTD scanner.

  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL

    protected static final String XMLGRAMMAR_POOL

  Deprecated.
  Property identifier: grammar pool.

  See Also:
    Constant Field Values

### DTD_PROCESSOR

    protected static final String DTD_PROCESSOR

  Deprecated.
  Property identifier: DTD loader.

  See Also:
    Constant Field Values

### DTD_VALIDATOR

    protected static final String DTD_VALIDATOR

  Deprecated.
  Property identifier: DTD validator.

  See Also:
    Constant Field Values

### NAMESPACE_BINDER

    protected static final String NAMESPACE_BINDER

  Deprecated.
  Property identifier: namespace binder.

  See Also:
    Constant Field Values

### DATATYPE_VALIDATOR_FACTORY

    protected static final String DATATYPE_VALIDATOR_FACTORY

  Deprecated.
  Property identifier: datatype validator factory.

  See Also:
    Constant Field Values

### VALIDATION_MANAGER

    protected static final String VALIDATION_MANAGER

  Deprecated.
  See Also:
    Constant Field Values

### fGrammarPool

    protected XMLGrammarPool fGrammarPool

  Deprecated.
  Grammar pool.

### fDatatypeValidatorFactory

    protected DTDDVFactory fDatatypeValidatorFactory

  Deprecated.
  Datatype validator factory.

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

  Deprecated.
  Error reporter.

### fEntityManager

    protected XMLEntityManager fEntityManager

  Deprecated.
  Entity manager.

### fScanner

    protected XMLDocumentScanner fScanner

  Deprecated.
  Document scanner.

### fInputSource

    protected XMLInputSource fInputSource

  Deprecated.
  Input Source

### fDTDScanner

    protected XMLDTDScanner fDTDScanner

  Deprecated.
  DTD scanner.

### fDTDProcessor

    protected XMLDTDProcessor fDTDProcessor

  Deprecated.
  DTD Processor .

### fDTDValidator

    protected XMLDTDValidator fDTDValidator

  Deprecated.
  DTD Validator.

### fNamespaceBinder

    protected XMLNamespaceBinder fNamespaceBinder

  Deprecated.
  Namespace binder.

### fValidationManager

    protected ValidationManager fValidationManager

  Deprecated.

### fLocator

    protected XMLLocator fLocator

  Deprecated.
  Locator

### fParseInProgress

    protected boolean fParseInProgress

  Deprecated.
  True if a parse is in progress. This state is needed because some features/properties cannot be set while parsing (e.g. validation and namespaces).

Constructor Detail

### DTDConfiguration

    public DTDConfiguration()

  Deprecated.
  Default constructor.

### DTDConfiguration

    public DTDConfiguration(SymbolTable symbolTable)

  Deprecated.
  Constructs a parser configuration using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

### DTDConfiguration

    public DTDConfiguration(SymbolTable symbolTable,
                            XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### DTDConfiguration

    public DTDConfiguration(SymbolTable symbolTable,
                            XMLGrammarPool grammarPool,
                            XMLComponentManager parentSettings)

  Deprecated.
  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### setLocale

    public void setLocale(Locale locale)
                   throws XNIException

  Deprecated.
  Set the locale to use for messages.

  Specified by:
    `setLocale` in interface `XMLParserConfiguration`
  Overrides:
    `setLocale` in class `BasicParserConfiguration`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `XNIException` - Thrown if the parser does not support the specified locale.

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws XMLConfigurationException,
                               IOException

  Deprecated.
  Sets the input source for the document to parse.

  Specified by:
    `setInputSource` in interface `XMLPullParserConfiguration`
  Parameters:
    `inputSource` - The document's input source.
  Throws:
    `XMLConfigurationException` - Thrown if there is a configuration error when initializing the parser.
    `IOException` - Thrown on I/O error.
  See Also:
    `DTDConfiguration.parse(boolean)`

### parse

    public boolean parse(boolean complete)
                  throws XNIException,
                         IOException

  Deprecated.
  Parses the document in a pull parsing fashion.

  Specified by:
    `parse` in interface `XMLPullParserConfiguration`
  Parameters:
    `complete` - True if the pull parser should parse the remaining document completely.
  Throws:
    `XNIException` - Any XNI exception, possibly wrapping another exception.
    `IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.
  See Also:
    `DTDConfiguration.setInputSource(weblogic.apache.xerces.xni.parser.XMLInputSource)`

### cleanup

    public void cleanup()

  Deprecated.
  If the application decides to terminate parsing before the xml document is fully parsed, the application should call this method to free any resource allocated during parsing. For example, close all opened streams.

  Specified by:
    `cleanup` in interface `XMLPullParserConfiguration`

### parse

    public void parse(XMLInputSource source)
               throws XNIException,
                      IOException

  Deprecated.
  Parses the specified input source.

  Specified by:
    `parse` in interface `XMLParserConfiguration`
  Specified by:
    `parse` in class `BasicParserConfiguration`
  Parameters:
    `source` - The input source.
  Throws:
    `XNIException` - Throws exception on XNI error.
    `IOException` - Throws exception on i/o error.

### reset

    protected void reset()
                  throws XNIException

  Deprecated.
  Reset all components before parsing.

  Overrides:
    `reset` in class `BasicParserConfiguration`
  Throws:
    `XNIException` - Thrown if an error occurs during initialization.

### configurePipeline

    protected void configurePipeline()

  Deprecated.
  Configures the pipeline.

### checkFeature

    protected void checkFeature(String featureId)
                         throws XMLConfigurationException

  Deprecated.
  Check a feature. If feature is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### checkProperty

    protected void checkProperty(String propertyId)
                          throws XMLConfigurationException

  Deprecated.
  Check a property. If the property is know and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkProperty` in class `BasicParserConfiguration`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### createEntityManager

    protected XMLEntityManager createEntityManager()

  Deprecated.
  Creates an entity manager.

### createErrorReporter

    protected XMLErrorReporter createErrorReporter()

  Deprecated.
  Creates an error reporter.

### createDocumentScanner

    protected XMLDocumentScanner createDocumentScanner()

  Deprecated.
  Create a document scanner.

### createDTDScanner

    protected XMLDTDScanner createDTDScanner()

  Deprecated.
  Create a DTD scanner.

### createDTDProcessor

    protected XMLDTDProcessor createDTDProcessor()

  Deprecated.
  Create a DTD loader .

### createDTDValidator

    protected XMLDTDValidator createDTDValidator()

  Deprecated.
  Create a DTD validator.

### createNamespaceBinder

    protected XMLNamespaceBinder createNamespaceBinder()

  Deprecated.
  Create a namespace binder.

### createDatatypeValidatorFactory

    protected DTDDVFactory createDatatypeValidatorFactory()

  Deprecated.
  Create a datatype validator factory.

### createValidationManager

    protected ValidationManager createValidationManager()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD